Update Voucher

Updates an existing SP voucher definition. Example curl: ```bash curl --request POST '{{base_url}}/sp/vouchers/update' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "idempotency_key": "{{$timestamp}}-voucher-update", "voucher_id": {{voucher_id}}, "campaign_name": "Birthday Voucher Plus", "coupon_value": 15, "location_ids": [{{location_id}}] }' ``` Example success response shape: ```json { "success": true, "message": "Voucher updated successfully.", "data": { "voucher_id": 10, "campaign_name": "Birthday Voucher Plus", "coupon_value": 15, "archived": false }, "meta": {} } ``` Example error response shape: ```json { "success": false, "message": "The same idempotency_key cannot be reused with a different payload.", "error": { "code": "idempotency_key_reused_with_different_payload", "details": {} } } ``` Common platform errors: - `idempotency_key_required` - `sp_scope_not_granted` - `sp_token_scope_missing` - `sp_location_not_allowed` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successboolean
messagestring
dataobject
metaobject